var Player = 
    { 
        plugin : null, 
        originalSource : null,
        state : -1,
		mode3D: 0,
        size: 0,
        w: 0,
        h: 0,
        STOPPED : 0, 
        PLAYING : 1, 
        PAUSED : 2,
        time: 0,
        setup_time: 0,
        url: "",
        msg_0: "",
        msg_1: "",
        msg_2: "",
        msg_3: "",
        msg_4: "",
        msg_5: ""
    }
    
Player.init = function(lang)
    {
        var success = true;
        this.state = this.STOPPED;
        this.plugin = document.getElementById("pluginPlayer");
        if (!this.plugin)
            success = false;
        else
            {
                var wPlugin = document.getElementById("pluginWindow");
                if (!wPlugin)
                    success = false;
                else
                    {
                        this.originalSource =wPlugin.GetSource();
                        wPlugin.SetSource(43);
                    }
                }
        this.plugin.OnCurrentPlayTime = 'Player.setCurTime';
        this.plugin.OnStreamInfoReady ='Player.onStreamInfoReady';  
        this.plugin.OnBufferingStart = 'Player.onBufferingStart';
        this.plugin.OnBufferingComplete = 'Player.onBufferingComplete';
        this.plugin.OnRenderingComplete='Player.onRenderingComplete';  //'Player.stopVideo';
        this.plugin.OnNetworkDisconnected='Player.onNetworkDisconnected';
        this.plugin.OnRenderError='Player.onRenderError'; // numer
        this.plugin.OnStreamNotFound = 'Player.onStreamNotFound';
        
        switch (lang) 
            {
                case "7":
                    //CZ
                    Player.msg_0="Připojení k serveru bylo přerušeno !";
                    Player.msg_1="Nepodporovaný kontejner !";
                    Player.msg_2="Nepodporovaný video kodek !";
                    Player.msg_3="Nepodporovaný audio kodek !";
                    Player.msg_4="Nepodporované rozlišení videa !";
                    Player.msg_5="Stream nenájdený !";
                   break;
                   
                case "12":
                    //DE
                    Player.msg_0="Verbindung zum Server fehlgeschlagen !";
                    Player.msg_1="Nicht unterstuetztes Format !";
                    Player.msg_2="Video codec nicht unterstuetzt !";
                    Player.msg_3="Audio codec nicht unterstuetzt !";
                    Player.msg_4="Aufloesung wird nicht unterstuetzt !";
                    Player.msg_5="Datei nicht gefunden !";
                   break;
                   
                   case "15":
                    //IT
                    Player.msg_0="La Connessione al server è stata interrotta !";
                    Player.msg_1="Tipo di contenitore non supportato !";
                    Player.msg_2="Codec video non supportato !";
                    Player.msg_3="Codec audio non supportato !";
                    Player.msg_4="Risoluzione video non supportata !";
                    Player.msg_5="File non trovato !";
                    break;
                               
                case "18":
                    //PL
                    Player.msg_0="Połączenie z serwerem zostało przerwane !";
                    Player.msg_1="Nieobsługiwany format pliku !";
                    Player.msg_2="Nieobsługiwany kodek wideo !";
                    Player.msg_3="Nieobsługiwany kodek audio !";
                    Player.msg_4="Nieobsługiwany format pliku !";
                    Player.msg_5="Nie znaleziono pliku !";
                    break;
                
                case "21":
                    //RU
                    Player.msg_0="Связь с сервером прервана !";
                    Player.msg_1="Неподдерживаемый контейнер !";
                    Player.msg_2="Неподдерживаемый видео кодек !";
                    Player.msg_3="Неподдерживаемый аудио кодек !";
                    Player.msg_4="Неподдерживаемое видео разрешение !";
                    Player.msg_5="Файл отсутствует !";
                    break;
                    
                case "23":
                    //SK
                    Player.msg_0="Sieť sa odpojila počas streamovania!";
                    Player.msg_1="Nepodporovaný kontajner !";
                    Player.msg_2="Nepodporovaný video codec !";
                    Player.msg_3="Nepodporovaný audio codec !";
                    Player.msg_4="Nepodporovaný video rozlíšenie!";
                    Player.msg_5="Stream nenájdený !"; 
                    break;
                 
                  case "24":
                    //ES
                    Player.msg_0="La conexión al servidor fue interrumpida !";
                    Player.msg_1="Contenedor no apoyado !";
                    Player.msg_2="Códec de vídeo no apoyado !";
                    Player.msg_3="Códec de audio no apoyado !";
                    Player.msg_4="Resolución de vídeo no apoyada !";
                    Player.msg_5="Archivo no encontrado !"; 
                    break;
                 
                case "26":
                    //TR
                    Player.msg_0="Sunucu Bağlantısı kesildi!";
                    Player.msg_1="Desteklenmeyen İçerik";
                    Player.msg_2="Desteklenmeyen video codeci";
                    Player.msg_3="Desteklenmeyen ses codeci";
                    Player.msg_4="Desteklenmeyen video çözünürlüğü";
                    Player.msg_5="Dosya bulunamadı!"; 
                    break;
                   
                default:
                    Player.msg_0="Connection to server was interrupted !";
                    Player.msg_1="Unsupported container !";
                    Player.msg_2="Unsupported video codec !";
                    Player.msg_3="Unsupported audio codec !";
                    Player.msg_4="Unsupported video resolution !";
                    Player.msg_5="File not found !";
                    break;
            } 
        return success;
    }

Player.setCurTime = function(time)
	{
		if (modelTv=="2010")
			{
				if (this.mode3D==0) 
					{
						alert("3D on 2010 Model: "); 
						this.mode3D=1;
						Screen.set3D;
					}
			}
		Display.setTime(time);
		this.time=time;
	}

Player.onStreamInfoReady=function()
    {
        Display.setTotalTime(Player.plugin.GetDuration());
         this.h=this.plugin.GetVideoHeight();
         this.w=this.plugin.GetVideoWidth();
        Player.setSize(0);
    }

Player.onBufferingStart = function() 
    {
        document.getElementById("back_rss").style.visibility="hidden";
        Display.show();
        if (this.setup_time)
            Helpbar.make(6);
        else
            Helpbar.make(4);
    }
    

Player.onBufferingComplete = function() 
    {
        Loading.hide();
        setTimeout("Display.hide();", 3000);
     }   
     
Player.onRenderingComplete=function()
    {
        Player.duration=0;
        Player.stopVideo();
    }

Player.stopVideo = function()
    {
        this.mode3D=0;
		if (this.state != this.STOPPED)
            {
                this.state = this.STOPPED;
                this.plugin.Stop();
                alert("Stopped");
                
            }
            document.getElementById("alert").style.visibility="hidden";
            document.getElementById("back_rss").style.visibility="visible";
            Mode=0;
            Loading.hide();
            Display.hide();
            Helpbar.show();
            Helpbar.make(0);
            var setupArray= new Array();
            setupArray[0]=this.url;
            setupArray[1]=this.time;
            File.saveArray(FILE_SETUP,setupArray);
    }
 
 Player.onNetworkDisconnected=function() {Player.error(0);}
 Player.onRenderError=function(err){ Player.error(err);}
 Player.onStreamNotFound=function() {Player.error(5);}
 Player.error=function(err)
    {
        Loading.hide();
        Display.hide();
        Helpbar.show();
        Helpbar.make(5);
        document.getElementById("back_rss").style.visibility="hidden";
        if (err==0)
            document.getElementById("alert").innerHTML="  "+Player.msg_0+"  ";
        else if (err==1)
            document.getElementById("alert").innerHTML="  "+Player.msg_1+"  ";
        else if (err==2)
            document.getElementById("alert").innerHTML="  "+Player.msg_2+"  ";
        else if (err==3)
            document.getElementById("alert").innerHTML="  "+Player.msg_3+"  ";
        else if (err==4)
            document.getElementById("alert").innerHTML="  "+Player.msg_4+"  ";
        else if (err==5)
            document.getElementById("alert").innerHTML="  "+Player.msg_5+"  ";
        document.getElementById("alert").style.visibility="visible";
        
        if (this.time>0)
            {
                var setupArray= new Array();
                setupArray[0]=this.url;
                setupArray[1]=this.time;
                File.saveArray(FILE_SETUP,setupArray);
            }
    }

Player.deinit = function()
    {
        var wPlugin = document.getElementById("pluginWindow");
        if (wPlugin && (this.originalSource != null) )
            {
               wPlugin.SetSource(this.originalSource);
                alert("Restore source to " + this.originalSource);
            }
		Screen.set2D();
		this.mode3D=0;
    }

Player.setVideoURL = function(url) 
{ 
    this.url = url; alert("URL = " + this.url); 
    var setupArray= new Array();
    File.loadArray(FILE_SETUP,setupArray);
    alert(setupArray[0]);
    alert(setupArray[1]);
    if (setupArray[0]==url)
            this.setup_time=setupArray[1];
    else
            this.setup_time=0;
    }
    
Player.playVideo = function() 
    { 
    
        if (this.url == null) 
            alert("No videos to play");
        else
			{
				if (modelTv=="2011")
					{
						alert("3D on 2011 Model.");
						if (this.mode3D == 0)
							{
								//this.setWindow();
							}
						else
							{
								//Player.setFullscreen();
							}
						this.plugin.SetInitialBuffer(2048*1024);
						this.plugin.SetPendingBuffer(2048*1024);
    		
						if (Screen.Flag3DEffectSupport() == 1 || Screen.Flag3DTVConnect() == 1)
							{
								this.plugin.SetPlayerProperty(2, "3", this.mode);
							}
					}
                this.state = this.PLAYING; 
                this.plugin.Play( this.url ); 
            } 
    }
    

Player.pauseVideo = function()
    {
        if (this.state != this.STOPPED)
            {
                this.state = this.PAUSED;
                this.plugin.Pause();
            }
    }
    
 Player.setSpeed=function(s)
    {
        this.plugin.SetPlaybackSpeed(s);
    }
    
Player.resumeVideo = function()
    {
         if (this.state != this.STOPPED)
            {
                this.state = this.PLAYING;
                this.plugin.Resume();
           }
    }

Player.skipForwardVideo = function()
    {
        if (this.state != this.STOPPED)
            this.plugin.JumpForward(60);
    }

Player.skipBackwardVideo = function()
    {
        if (this.state != this.STOPPED)
            this.plugin.JumpBackward(60);
    }

Player.getState = function()
    {
        return this.state;
    }
    
Player.setBuffer = function(len)
    {
        this.plugin.SetTotalBufferSize(len);
    }
    
Player.setSize=function(mode)
    {
        if (this.state == this.PLAYING)
        {
            this.size=mode;
            //var h=this.plugin.GetVideoHeight();
           //var w=this.plugin.GetVideoWidth();
           var w=this.w;
           var h=this.h
            var l;
            var t;
        
            switch(mode)
                {
                    case 0 :
                        var l=(960-w)/2;
                        var t=(540-h)/2;
                        //alert ("0, "+w+","+h);
                        
                        this.plugin.SetDisplayArea(l, t,w,h);
                         this.plugin.SetCropArea(0,0,w,h);
                        break;
           
                    case 1 :
                        if (h/w>0.5625)
                            {
                                w=w*540/h;
                                h=540;
                            }
                        else
                            {
                                h=h*960/w;
                                w=960;
                            }
                        l=(960-w)/2;
                        t=(540-h)/2;
                        //alert ("1, "+w+","+h);
                        // this.plugin.SetCropArea(0,0,w,h);
                        this.plugin.SetDisplayArea(l, t,w,h);
                        break;
               
                    case 2 :
                    //alert ("2, 960,540");
                        //this.plugin.SetCropArea(0, 0, 960,540);
                        this.plugin.SetDisplayArea(0, 0, 960, 540);
                        break;
                        
                     case 3 :
                     //alert ("3, 960,540");
                       l=0.0625*w;
                       t=0.0625*h;
                       w=0.875*w;
                       h=0.875*h;
                        this.plugin.SetDisplayArea(0, 0, 960, 540);
                        this.plugin.SetCropArea(l, t, w,h);
                        break;
                        
                     case 4 :
                     //alert ("4, 960,540");
                       l=0;
                       t=0.0625*h;
                       h=0.875*h;
                        this.plugin.SetDisplayArea(0, 0, 960, 540);
                        this.plugin.SetCropArea(l, t, w,h);
                        break;
                }
        }
    }

Player.getSize=function() {return this.size;}

Player.jumpSetupTime=function()
{
    if (this.state == this.PLAYING)
        {
            if (this.setup_time>this.time)
            {
                alert("jump; "+(this.setup_time-this.time)/1000)
                this.plugin.JumpForward((this.setup_time-this.time)/1000);
            }
        }
}